Subject: Re: [PATCH 4/9] run-command: add support for timeout in command finisher

From: Oswald Buddenhagen <[email-masked]>
Date: Thu, 21 May 2026 10:39:18 +0200

On Thu, May 21, 2026 at 09:21:51AM +0200, Johannes Sixt wrote:
>Please, do not add this infrastructure to core Git, and instead fix the
>communication protocol.
>
there is nothing to fix here. proper error handling including timeout 
handling should just be part of every protocol handler, and in the case 
of child processes, forcible termination is part of that.

one can ignore the issue, in which case termination is left to the user 
by ctrl-c'ing the whole process group. this isn't very user-friendly, 
because it doesn't report the problem, and it may leave hung processes 
behind. it is also extremely bad if keeping the parent process alive is 
a lot more important than the child process, but this doesn't appear to 
apply to the particular use case.

adding a proxy doesn't fix the problem, it just adds another point of 
failure.